Skip to content
Ona Docs

CreateOrganizationInvite

POST/gitpod.v1.OrganizationService/CreateOrganizationInvite

Creates an invite link for joining an organization. Any existing OrganizationInvites are invalidated and can no longer be used.

Use this method to:

  • Generate shareable invite links
  • Manage team growth
  • Control organization access

Examples

  • Create organization invite:

    Generates a new invite link for the organization.

    organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
Body ParametersJSONExpand Collapse
organizationId: string
formatuuid
ReturnsExpand Collapse
invite: OrganizationInvite { inviteId }
inviteId: string

invite_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization.

formatuuid

CreateOrganizationInvite

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/CreateOrganizationInvite \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{
          "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
        }'
{
  "invite": {
    "inviteId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
Returns Examples
{
  "invite": {
    "inviteId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}